namespace HistoryView.ViewModels.Dialogs;

internal partial class SettingDialogViewModel : ObservableObject, IDialogAwareTitle
{
    public DialogCloseListener RequestClose { get; set; }
    public string Title { get; set; } = "设置";
    public bool CanCloseDialog()
    {

        return true;
    }

    public void OnDialogClosed()
    {
    }

    public void OnDialogOpened(IDialogParameters parameters)
    {

    }

    [RelayCommand]
    private void Exit()
    {
        this.RequestClose.Invoke();
    }
}
